% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: January 2019
% **************************************************************************** %



% **************************************************************************** %
% SUBCAPTIONS
% **************************************************************************** %
  % \usepackage[
  %   margin=0pt, % subcaption left and right margin
  %   font+=smaller, % small subcaption font
  %   labelformat=parens, % use (a)
  %   labelsep=space, % separator, use space instead of colon :
  %   skip=0pt, % changed from default 6pt
  %   % skip=-10pt, % changed from default 6pt
  %   list=false, % dont list in list of figures
  %   hypcap=false, % hyper refs jump t start of figure instead of subcaption
  %   % labelfont=bf, % change font of "(a)"
  % ]{subcaption} % nicer for subfloats, from MathCCES

% -------------------------------------------------------------------------- %
% NEW SPACING APPROACH
% => Works for different fonts, page layouts and especially DIV changes
% => Include "%" after subcaption box to suppress spacing
% -------------------------------------------------------------------------- %
  \newlength{\sccSpacing}
  \setlength{\sccSpacing}{.2cm}
  \newlength{\sccOne}
  \setlength{\sccOne}{\dimexpr      \textwidth - .0000\sccSpacing \relax}
  \newlength{\sccTwo}
  \setlength{\sccTwo}{\dimexpr .5000\textwidth - .5000\sccSpacing \relax}
  \newlength{\sccThr}
  \setlength{\sccThr}{\dimexpr .3333\textwidth - .6667\sccSpacing \relax}
  \newlength{\sccFou}
  \setlength{\sccFou}{\dimexpr .2500\textwidth - .7500\sccSpacing \relax}
% -------------------------------------------------------------------------- %

% -------------------------------------------------------------------------- %
% OLD SPACING APPROACH
% => optimal width settings with binary search because sep unknown ¯\_(ツ)_/¯
% => Does not work correctly if KOMA script's DIV changes
% -------------------------------------------------------------------------- %
  \newcommand{\scOne}{.999999\textwidth}
  \newcommand{\scTwo}{.496\textwidth}
  \newcommand{\scThree}{.333333333\textwidth}
  \newcommand{\scFour}{.25\textwidth}
% -------------------------------------------------------------------------- %

% **************************************************************************** %